VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::networking::Ipv6Types::IPv6Config Class Reference

`Ipv6.IPv6Config` class Structure that you can use to configure IPv6 on a particular interface. More...

List of all members.

## Public Member Functions
| IPv6Config ()
| Creates a default new instance.
string | GetInterfaceName ()
| Network interface, for example, "nic0" to configure.
void | SetInterfaceName (string interfaceName)
| Network interface, for example, "nic0" to configure.
bool | GetDhcp ()
| Address assigned by a DHCP server.
void | SetDhcp (bool dhcp)
| Address assigned by a DHCP server.
bool | GetAutoconf ()
| Address is assigned by Stateless Address Autoconfiguration (SLAAC).
void | SetAutoconf (bool autoconf)
| Address is assigned by Stateless Address Autoconfiguration (SLAAC).
global::System.Collections.Generic.List < vmware.appliance.techpreview.networking.Ipv6Types.IPv6Address > | GetAddresses ()
| A list of addresses to be statically assigned.
void | SetAddresses (global::System.Collections.Generic.List< vmware.appliance.techpreview.networking.Ipv6Types.IPv6Address > addresses)
| A list of addresses to be statically assigned.
string | GetDefaultGateway ()
| Default gateway for static IP address assignment.
void | SetDefaultGateway (string defaultGateway)
| Default gateway for static IP address assignment.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Ipv6.IPv6Config` class Structure that you can use to configure IPv6 on a particular interface.

Because IPv6 permits multiple addresses per interface, addresses can be assigned by DHCP, SLAAC, and can also be statically assigned.

## Constructor & Destructor Documentation

vmware::appliance::techpreview::networking::Ipv6Types::IPv6Config::IPv6Config | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::techpreview::networking::Ipv6Types::IPv6Config::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::techpreview::networking::Ipv6Types::IPv6Config::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::techpreview::networking::Ipv6Types::IPv6Config::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::techpreview::networking::Ipv6Types::IPv6Config::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::techpreview::networking::Ipv6Types::IPv6Config::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::techpreview::networking::Ipv6Types::IPv6Config::Equals | ( | object | obj | ) | `[inline]`

global::System.Collections.Generic.List<vmware.appliance.techpreview.networking.Ipv6Types.IPv6Address> vmware::appliance::techpreview::networking::Ipv6Types::IPv6Config::GetAddresses | ( |  | ) | `[inline]`

A list of addresses to be statically assigned.

bool vmware::appliance::techpreview::networking::Ipv6Types::IPv6Config::GetAutoconf | ( |  | ) | `[inline]`

Address is assigned by Stateless Address Autoconfiguration (SLAAC).

string vmware::appliance::techpreview::networking::Ipv6Types::IPv6Config::GetDefaultGateway | ( |  | ) | `[inline]`

Default gateway for static IP address assignment.

This configures the global IPv6 default gateway on the appliance with the specified gateway address and interface. This gateway replaces the existing default gateway configured on the appliance. However, if the gateway address is link-local, then it is added for that interface. This does not support configuration of multiple global default gateways through different interfaces.

bool vmware::appliance::techpreview::networking::Ipv6Types::IPv6Config::GetDhcp | ( |  | ) | `[inline]`

Address assigned by a DHCP server.

override int vmware::appliance::techpreview::networking::Ipv6Types::IPv6Config::GetHashCode | ( |  | ) | `[inline]`

string vmware::appliance::techpreview::networking::Ipv6Types::IPv6Config::GetInterfaceName | ( |  | ) | `[inline]`

Network interface, for example, "nic0" to configure.

void vmware::appliance::techpreview::networking::Ipv6Types::IPv6Config::SetAddresses | ( | global::System.Collections.Generic.List< vmware.appliance.techpreview.networking.Ipv6Types.IPv6Address > | addresses | ) | `[inline]`

A list of addresses to be statically assigned.

void vmware::appliance::techpreview::networking::Ipv6Types::IPv6Config::SetAutoconf | ( | bool | autoconf | ) | `[inline]`

Address is assigned by Stateless Address Autoconfiguration (SLAAC).

void vmware::appliance::techpreview::networking::Ipv6Types::IPv6Config::SetDefaultGateway | ( | string | defaultGateway | ) | `[inline]`

Default gateway for static IP address assignment.

This configures the global IPv6 default gateway on the appliance with the specified gateway address and interface. This gateway replaces the existing default gateway configured on the appliance. However, if the gateway address is link-local, then it is added for that interface. This does not support configuration of multiple global default gateways through different interfaces.

void vmware::appliance::techpreview::networking::Ipv6Types::IPv6Config::SetDhcp | ( | bool | dhcp | ) | `[inline]`

Address assigned by a DHCP server.

void vmware::appliance::techpreview::networking::Ipv6Types::IPv6Config::SetInterfaceName | ( | string | interfaceName | ) | `[inline]`

Network interface, for example, "nic0" to configure.

override string vmware::appliance::techpreview::networking::Ipv6Types::IPv6Config::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- Ipv6Types.cs